#include <string>
#include <qhbox.h>

class QTimer;
class QLabel;
class QPushButton;
class QPixmap;
class PPPStatus;
class ProfileManager;

class ModemStatus : public QHBox
{
  Q_OBJECT;
public:
  ModemStatus (QWidget* parent, ProfileManager* manager, const std::string& device);
  void SetActive (bool state);

private slots:
  void RefreshStatus ();
  void ButtonPushed ();
private:
  QString TimeToString ();
  void TakeUp ();
  void TakeDown ();

  QPushButton* button;
  QPixmap* online;
  QPixmap* offline;
  QTimer* m_timer;
  QLabel* status;
  QString format;
  
  bool is_up;

  std::string dev;
  PPPStatus* my_status;
  ProfileManager* m_manager;
};
