#!/bin/bash

case "$1" in
  init)
    cat /etc/conf/network > /etc/conf/network-netconf-copy
    chmod 666 /etc/conf/network-netconf-copy
    ;;
  serpnp)
    /usr/sbin/serpnp $2 | gawk 'BEGIN {m=0} /CLASS: MODEM/ {m=1} /DESCRIPTION:/ {if (m) print $2, $3, $4, $5}'
    ;;
  devinfo)
    /usr/sbin/ethtool -i $2 | grep '^driver: ' | cut -d ' ' -f 2
    ;;
  ifup)
    PATH=$PATH:/sbin:/usr/sbin /sbin/ifup $2 $3
    ;;
  ifdown)
    PATH=$PATH:/sbin:/usr/sbin /sbin/ifdown $2 $3
    ;;
  *)
    cat /etc/conf/network-netconf-copy > /etc/conf/network
    ;;
esac
