#include "netconf_applet.hh"
#include <klocale.h>
#include <kglobal.h>


NetconfApplet::NetconfApplet (const QString& configFile,
			      Type type, int actions,
			      QWidget *parent, const char *name )
  : KPanelApplet( configFile, type, actions, parent, name )
{
  //  setBackgroundColor( blue );
  setFrameStyle( StyledPanel | Sunken );

  hbox = new QHBox (this);

  online=new QPixmap ("/home/valentin/netconf-trunk/gui/pixmaps/telephone_receiver.png");
  offline=new QPixmap ("/home/valentin/netconf-trunk/gui/pixmaps/telephone.png");
  mybutton = new QPushButton ("", hbox);
  mybutton -> setMaximumWidth (24);
  is_online=false;
  status = 0;
  Clicked ();
  QObject::connect ( mybutton, SIGNAL ( clicked ()), this, SLOT ( Clicked ()));
  profile = new QComboBox (this);
  profile -> insertItem ("standart");
  profile -> insertItem ("Arbeit");
}

void NetconfApplet::Clicked ()
{
  is_online=!is_online;
  if (!is_online) {
    if (status)
      delete status;
    status = 0;
    mybutton -> setPixmap (*offline);
  } else {
    mybutton -> setPixmap (*online);
    if (!status)
      status = new QLabel(hbox);
    status -> setText ("01:35:27");
  }
}

int NetconfApplet::widthForHeight( int h ) const
{
  return 2*h;
}

int NetconfApplet::heightForWidth( int w ) const
{
  return 2*w; 
}


extern "C" 
{
  KPanelApplet* init( QWidget *parent, const QString& configFile )
  {
      KGlobal::locale()->insertCatalogue( "netconfapplet");

      return new NetconfApplet( configFile, KPanelApplet::Normal,
                                   0, parent, "netconfapplet");
  }
}
